Share a container image
curl --request POST \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetWorkspace": "<string>",
"targetAccountId": "<string>"
}
'import requests
url = "https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share"
payload = {
"targetWorkspace": "<string>",
"targetAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetWorkspace: '<string>', targetAccountId: '<string>'})
};
fetch('https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}{
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"expiresAt": "<string>",
"id": "<string>",
"imageName": "<string>",
"resourceType": "<string>",
"sharedBy": "<string>",
"sourceAccountId": "<string>",
"sourceWorkspace": "<string>",
"targetAccountId": "<string>",
"targetWorkspace": "<string>"
}images
Share a container image
Shares a container image with another workspace by copying the metadata record. The underlying storage (S3) data is not duplicated. For same-account targets the share is applied immediately. For cross-account targets, a pending image share is created and must be explicitly accepted by an admin of the target workspace; the correct target account ID must be supplied as an anti-spam measure.
POST
/
images
/
{resourceType}
/
{imageName}
/
share
Share a container image
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Resource type (agents, functions, sandboxes, jobs)
Name of the container image repository
Body
application/json
Last modified on July 1, 2026
Was this page helpful?
⌘I
